import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/depotWork/` + url, ...arg)

/**
 * 出入库管理表Api接口管理器
 *
 * @author xiang
 * @date  2023/09/18 10:20
 **/
export default {
	// 获取出入库管理表分页
	depotWorkPage(data) {
		return request('page', data, 'get')
	},
	// 获取出入库管理表列表
	depotWorkList(data) {
		return request('list', data, 'get')
	},
	// 提交出入库管理表表单 edit为true时为编辑，默认为新增
	depotWorkSubmitForm(data, edit = false) {
		return request(edit ? 'add' : 'edit', data)
	},
	// 删除出入库管理表
	depotWorkDelete(data) {
		return request('delete', data)
	},
	// 获取出入库管理表详情
	depotWorkDetail(data) {
		return request('detail', data, 'get')
	}
}
